import Vue from 'vue';
import VueI18n from 'vue-i18n';
Vue.use(VueI18n);

const messages = {
    'en': {
        Login: {
            loginHeader: 'Login',
            registerBtn: 'Register',
            username: 'username',
            password: 'password',
            loginBtn: 'login',
            passwordHint: 'At Least 8 characters',
            required: 'Required',
            min8Character: 'Min 8 Characters',
            usernameAlert: 'please enter username',
            passwordAlert: 'please enter password',
            errorUserNotFound: 'User not found',
            errorIncorrectPassword: 'Incorrect Password',
            changePassword: 'Change Password?'
        },
        Register: {
            registerHeader: 'Register',
            loginBtn: 'login',
            username: 'username',
            password: 'password',
            repeatPassword: 'repeat password',
            registerBtn: 'Register And Login',
            required: 'Required',
            min8Character: 'Min 8 Characters',
            matchPass: "password and repeat passwords must be the same",
            usernameAlert: 'please enter username',
            firstPassAlert: 'please enter password',
            secondPassAlert: 'please enter password',
            error403: 'Username already exists',
            loadingText: 'creating user',
            userCreated: 'user has been Created'
        },
        AppHeader: {
            appName: 'Karname',
        },
        AppFooter: {
            appLang: 'en',
        },
        ChangePassword: {
            formHeader: 'change password',
            username: 'username',
            usernameAlert: 'please enter username',
            oldPassword: 'old password',
            oldPasswordAlert: 'please enter old password',
            newPassword: 'new password',
            newPasswordAlert: 'please enter new password',
            matchPass: 'old password and new password should not be the same',
            required: 'Required',
            min8Character: 'Min 8 Characters',
            changePasswordBtn: 'change',
            loadingText: 'changing password',
            NotFoundUser: 'user not found',
            CheckPassError: 'incorrect old password',
            SuccessChangePass: 'Password Successfully changed',
            internalServerError: 'internal server error'
        },
        WorkList: {
            deviceComboboxLabel: 'please select a device',
            deviceComboboxNoDataMatch: 'No results matching',
            editBtn: 'edit',
            deviceComboboxNoDataMatch1: '',
            AllBtn: "All",
            UnknownBtn: "Correction Needed",
            noDevicemap: 'no device',
            Register: "Register",
            CreatePatient: "Create",
            RegisterPatient: "Register Patient",
            EditRegisterPatient: "Edit Patient Information"
        },
        HISLink: {
            DeleteMessage: "Are You Sure?",
            YesBtn: "yes",
            NoBtn: "no",
            newText: "New",
            editText: "Edit",
            HISLinkName: "HISLink",
            createBtn: "Create",
            newBtn: "New",
            editBtn: "Edit",
            deleteBtn: "Delete",
            activeBtn: "Active",
            deactiveBtn: "Deactive",
            authenticateBtn: "Authenticate",
            getWorklistBtn: "Worklist",
            hislinkSelectStatement: "please select one of hislinks",
            hislinkDeleteStatement: "HisLink has been deleted",
            hislinkActiveStatement: "HisLink has been activated",
            hislinkDeactiveStatement: "HisLink has been deactivated",
            hislinkAuthenticateFailed: "authenticate failed",
            hislinkAuthenticateSuccess: "authenticate success"
        },
        Client: {
            DeleteMessage: "Are You Sure?",
            YesBtn: "yes",
            NoBtn: "no",
            newText: "New",
            editText: "Edit",
            clientName: "Client",
            createBtn: "Create",
            editBtn: "Edit",
            clientSelectStatement: "please select one of Clients",
            clientDeleteStatement: "Client has been deleted",
        },
        DeviceMap: {
            DeleteMessage: "Are You Sure?",
            YesBtn: "yes",
            NoBtn: "no",
            newText: "New",
            editText: "Edit",
            devicemapName: "DeviceMap",
            createBtn: "Create",
            editBtn: "Edit",
            devicemapSelectStatement: "please select one of DeviceMaps",
            devicemapDeleteStatement: "Devicemap has been deleted",
        },
        Users: {
            DeleteMessage: "Are You Sure?",
            YesBtn: "yes",
            NoBtn: "no",
            newText: "New",
            editText: "Edit",
            UserName: "Users",
            createBtn: "Create",
            editBtn: "Edit",
            userSelectStatement: "please select one of users",
            userDeleteStatement: "user has been deleted",
        },
        HisWorklist: {
            title: "Worklist"
        }
    },
    'fa': {
        Login: {
            loginHeader: 'ورود کاربر',
            registerBtn: 'ثبت نام',
            username: 'نام کاربری',
            password: 'رمز ورود',
            loginBtn: 'ورود',
            passwordHint: 'حداقل 8 کاراکتر',
            required: 'مورد نیاز',
            min8Character: 'حداقل 8 کاراکتر',
            usernameAlert: 'لطفا نام کاربری را وارد نمایید',
            passwordAlert: 'لطفا رمز ورود را وارد نمایید',
            errorUserNotFound: 'کاربر یافت نشد',
            errorIncorrectPassword: 'رمز نادرست',
            changePassword: 'تغییر رمز؟'
        },
        Register: {
            registerHeader: 'ثبت نام کاربر',
            loginBtn: 'ورود',
            username: 'نام کاربری',
            password: 'رمز ورود',
            repeatPassword: 'تکرار رمز ورود',
            registerBtn: 'ثبت نام و ورود',
            required: 'مورد نیاز',
            min8Character: 'حداقل 8 کاراکتر',
            matchPass: "رمز عبور و تکرار آن باید مشابه باشند",
            usernameAlert: 'لطفا نام کاربری را وارد نمایید',
            firstPassAlert: 'لطفا رمز را وارد نمایید',
            secondPassAlert: 'لطفا رمز را وارد نمایید',
            error403: 'نام کاربری وجود دارد',
            loadingText: 'در حال ایجاد کاربر',
            userCreated: 'کاربر ایجاد شد'
        },
        AppHeader: {
            appName: 'کارنامه',
        },
        AppFooter: {
            appLang: 'فا',
        },
        ChangePassword: {
            formHeader: 'تغییر رمز',
            username: 'نام کاربری',
            usernameAlert: 'لطفا نام کاربری را وارد نمایید',
            oldPassword: 'رمز فعلی',
            oldPasswordAlert: 'لطفا رمز فعلی را وارد نمایید',
            newPassword: 'رمز جدید',
            newPasswordAlert: 'لطفا رمز جدید را وارد نمایید',
            matchPass: 'رمز فعلی و رمز جدید نباید یکسان باشند',
            required: 'مورد نیاز',
            min8Character: 'حداقل 8 کاراکتر',
            changePasswordBtn: 'تغییر رمز',
            loadingText: 'در حال تغییر رمز',
            NotFoundUser: 'کاربر یافت نشد',
            CheckPassError: 'رمز فعلی نادرست می باشد',
            SuccessChangePass: 'رمز کاربر با موفقیت تغییر یافت',
            internalServerError: 'خطا در سرور'
        },
        WorkList: {
            deviceComboboxLabel: 'لطفا یک دستگاه را انتخاب نمایید',
            deviceComboboxNoDataMatch: 'هیچ نتیجه ای برابر با',
            editBtn: 'ویرایش',
            deviceComboboxNoDataMatch1: 'یافت نشد',
            AllBtn: "همه",
            UnknownBtn: "نیازمند اصلاح",
            noDevicemap: 'دستگاه انتخاب نشده است',
            Register: "ثبت",
            CreatePatient: "ایجاد",
            RegisterPatient: "ایجاد بیمار",
            EditRegisterPatient: "ویرایش اطلاعات بیمار"
        },

        HISLink: {
            DeleteMessage: "آیا مطمین هستید؟",
            YesBtn: "بله",
            NoBtn: "نه",
            newText: "جدید",
            editText: "ویرایش",
            HISLinkName: "HISLink",
            createBtn: "ایجاد",
            newBtn: "جدید",
            editBtn: "ویرایش",
            deleteBtn: "حذف",
            activeBtn: "فعال",
            deactiveBtn: "غیرفعال",
            authenticateBtn: "تصدیق کردن",
            getWorklistBtn: "لیست بیماران",
            hislinkSelectStatement: "لطفا یکی از hislink ها را انتخاب نمایید",
            hislinkDeleteStatement: "HISLink حذف گردید",
            hislinkActiveStatement: "HISLink فعال شد",
            hislinkDeactiveStatement: "HISLink غیرفعال شد",
            hislinkAuthenticateFailed: "authenticate failed",
            hislinkAuthenticateSuccess: "authenticate success"
        },
        Client: {
            DeleteMessage: "آیا مطمین هستید؟",
            YesBtn: "بله",
            NoBtn: "نه",
            newText: "جدید",
            editText: "ویرایش",
            clientName: "Client",
            createBtn: "ایجاد",
            editBtn: "ویرایش",
            clientSelectStatement: "لطفا یکی از Client ها را انتخاب نمایید",
            clientDeleteStatement: "Client حذف گردید",
        },
        DeviceMap: {
            DeleteMessage: "آیا مطمین هستید؟",
            YesBtn: "بله",
            NoBtn: "نه",
            newText: "جدید",
            editText: "ویرایش",
            devicemapName: "DeviceMap",
            createBtn: "ایجاد",
            editBtn: "ویرایش",
            devicemapSelectStatement: "لطفا یکی از DeviceMap ها را انتخاب نمایید",
            devicemapDeleteStatement: "DeviceMap حذف گردید",
        },
        Users: {
            DeleteMessage: "آیا مطمین هستید؟",
            YesBtn: "بله",
            NoBtn: "نه",
            newText: "جدید",
            editText: "ویرایش",
            UserName: "کاربر",
            createBtn: "ایجاد",
            editBtn: "ویرایش",
            userSelectStatement: "لطفا یکی از کاربر ها را انتخاب نمایید",
            userDeleteStatement: "کاربر حذف گردید",
        },
        HisWorklist: {
            title: "لیست بیماران"
        }

    }
};

const i18n = new VueI18n({
    locale: 'en', // set locale    
    fallbackLocale: 'fa', // set fallback locale    
    messages, // set locale messages
});

export default i18n;