import SimpleSchema from 'simpl-schema';


const workListItemSchema = new SimpleSchema({
    "Accession": String,
    "AdmissionID": String,
    "EnglishFirstName": String,
    "EnglishFirstNameParts": [String],
    "EnglishLastName": String,
    "EnglishLastNameParts": [String],
    "FarsiFirstName": String,
    "FarsiFirstNameParts": [String],
    "FarsiLastName": String,
    "FarsiLastNameParts": [String],
    "FarsiName": String,
    "HISID": SimpleSchema.oneOf(String, Number),
    "InstitutionAddress": String,
    "InstitutionName": String,
    "Modality": SimpleSchema.oneOf(String, Number),
    "PPSStatus": Number,
    "PatientAge": SimpleSchema.oneOf(String, Number),
    "PatientBirthDate": String,
    "PatientID": SimpleSchema.oneOf(String, Number),
    "PatientWeight": SimpleSchema.oneOf(String, Number),
    "PatinetSex": SimpleSchema.oneOf(String, Number),
    "PatinetSize": SimpleSchema.oneOf(String, Number),
    "PregnancyStatus": SimpleSchema.oneOf(String, Number),
    "ProcedureID": SimpleSchema.oneOf(String, Number),
    "ProcedureSteps": [Object],
    "ReferringPhysicianName": SimpleSchema.oneOf(String, Number),
    "RequestedProcedureID": SimpleSchema.oneOf(String, Number),
    "ScheduledStartDate": SimpleSchema.oneOf(String, Number),
    "Smoking": Number,
    "StudyInstanceUID": String,
    "Status": Number,
    "UniqueHash": String
}, { requiredByDefault: false });

export default workListItemSchema;